#ifndef CLAN_HPP_INCLUDED
#define CLAN_HPP_INCLUDED

#include "../../../Core/Classes/ClanMember.hpp"
#include <functional>
#include <vector>

namespace Clan
{
    bool IsOpen();
    bool Open(bool UseHotkey = false);
    std::int32_t GetTabHotkey();
    std::vector<Internal::ClanMember> GetAll();
    std::vector<Internal::ClanMember> GetAll(const std::function<bool (Internal::ClanMember&)>& Filter);
}

#endif // CLAN_HPP_INCLUDED
